{% extends 'base.html' %}

{% block content %}
    <h1>{{ object.group.name }}</h1>
    <h2 class="error" id="error"></h2>
    <div id="user-list"></div>
    <a  onclick="start_test()" class="btn btn-primary">
        Start
    </a>

     <script>
         var group_id = {{ object.id }};
        var chatSocket = new WebSocket(
            'ws://' + window.location.host +
            '/ws/chat/' + group_id + '/');
        function ws_send(socket,event,message){
            socket.send(JSON.stringify({
            'event': event,
            'message': message,
        }));
         }
        function start_test(){
            ws_send(chatSocket,'start_test',{'redirect_to':group_id})
        }
        function add_user(user_list){
            var user_list_div = $('#user-list');
            user_list_div.empty();
            for (var i=0;i<user_list.length;i++){
                console.log(user_list[i]);
                var user_div = '<div>'+user_list[i]+'</div>';
                user_list_div.append(user_div);
            }
        }
        chatSocket.onmessage = function (e) {
            console.log(e.data)
            data = JSON.parse(e.data)['message'];
            console.log(data)
            event = data['event'];
            message = data['message'];
            if (event === 'start_test'){
                window.location.replace('http://'+window.location.hostname+':'+window.location.port+'/test/start/'+group_id);
            }
            if (event === "new_user_connect"){
                add_user(message['users'])
            }
            if (event === "new_user_disconnect"){
                add_user(message['users'])
            }
            if (event==='not_enough_people'){
                $('#error').append('Not enough people');
            }
        }
    </script>
{% endblock %}